[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'PopupNotifier' (#lcl)

# TNotifierXButton.Paint

Draws the button in its current state.

## Declaration

Source position: popupnotifier.pas line 50

`public procedure TNotifierXButton.Paint; override;`

## Description

Paint is an overridden procedure which draws the close button using the Canvas for the control. Paint updates the Canvas with the pen and brush needed to draw the button in its current state. Canvas methods are called to draw the filled rectangle and "X" icon displayed on the close button.

Paint calls the inherited method prior to exit to signal the OnPaint event handler (when assigned).

## See also

TCustomControl.Paint |  | Implements the default handler used to draw the control.
TCustomControl.OnPaint |  | Event handler signalled to paint the control.